Get Recovery Steps Callout Details
Get detailed information about a callout/prompt for a recovery step in a given recovery view mode.
Will fail if cannot retrieve recovery steps in the desired mode in the current recovery plan state or the recovery step is not callout/prompt-related.
The ID of a pairing between this Site Recovery Manager server and remote one.
The ID of a recovery plan defined within current pairing.
The view mode of the recovery steps. Possible values are: test, recovery, cleanup, reprotect.
Id of a recovery step.
Callout/Prompt details.
{
"name": "string",
"content": "string",
"callout_type": "string",
"timeout_seconds": 0,
"step_type": "string",
"id": "string",
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/recovery-steps/{view_mode}/{recovery_step_id}/callout-data